<?xml version="1.0" encoding="utf-16"?>
<Connector id="electrical_connector" Version="1">
  <!--Define all system types-->
  <SystemTypes>
    <SystemType id="communication">
      <Name Language="1033" Description="Communication System Type">Communication</Name>
    </SystemType>
    <SystemType id="controls">
      <Name Language="1033" Description="Controls System Type">Controls</Name>
    </SystemType>
    <SystemType id="data">
      <Name Language="1033" Description="Data System Type">Data</Name>
    </SystemType>
    <SystemType id="fire_alarm">
      <Name Language="1033" Description="Fire Alarm System Type">Fire Alarm</Name>
    </SystemType>
    <SystemType id="nurse_call">
      <Name Language="1033" Description="Nurse Call System Type">Nurse Call</Name>
    </SystemType>
    <SystemType id="security">
      <Name Language="1033" Description="Security System Type">Security</Name>
    </SystemType>
    <SystemType id="telephone">
      <Name Language="1033" Description="Telephone System Type">Telephone</Name>
    </SystemType>
    <SystemType id="power_balanced">
      <Name Language="1033" Description="Power - Balanced System Type - For Power Systems where the load values are equal across all phases.">Power - Balanced</Name>
    </SystemType>
    <SystemType id="power_unbalanced">
      <Name Language="1033" Description="Power - Unbalanced System Type - For Power Systems where the load values can vary for different phases.">Power - Unbalanced</Name>
    </SystemType>
  </SystemTypes>
  
  <!--Define all group names-->
  <Groups>
    <Group id="identity_data">
      <Name Language="1033" Description="">Identity Data</Name>
    </Group>
    <Group id="electrical_loads">
      <Name Language="1033" Description="">Electrical Loads</Name>
    </Group>
  </Groups>
  
  <!--Define all enumerations-->
  <Enums>
    <Enum id="power_factor_state_enum">
      <Item id="0">
        <Name Language="1033" Description="">Lagging</Name>
      </Item>
      <Item id="1">
        <Name Language="1033" Description="">Leading</Name>
      </Item>
    </Enum>
	<Enum id="number_of_poles_enum">
	  <Item id="0">
		<Name Language="1033" Description="">1</Name>
	  </Item>
	  <Item id="1">
		<Name Language="1033" Description="">2</Name>
	  </Item>
	  <Item id="2">
		<Name Language="1033" Description="">3</Name>
	  </Item>
	</Enum>
  </Enums>
  
  <!--Define all parameters-->
  <Parameters>
    <Parameter id="description" Group="identity_data" Type="string" Unit="" Default="">
      <Name Language="1033" Description="">Description</Name>
      <SystemTypes>
        <SystemType>communication</SystemType>
        <SystemType>controls</SystemType>
        <SystemType>data</SystemType>
        <SystemType>fire_alarm</SystemType>
        <SystemType>nurse_call</SystemType>
        <SystemType>security</SystemType>
        <SystemType>telephone</SystemType>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="voltage" Group="electrical_loads" Type="double" Unit="voltage" Default="">
      <Name Language="1033" Description="">Voltage</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="number_of_poles" Group="electrical_loads" Type="enum" Unit="" Default="">
      <Name Language="1033" Description="">Number of Poles</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
	  <UseEnum>number_of_poles_enum</UseEnum>
    </Parameter>
    <Parameter id="apparent_load" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1033" Description="">Apparent Load</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="apparent_load_phase1" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1033" Description="">Apparent Load Phase 1</Name>
      <SystemTypes>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="apparent_load_phase2" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1033" Description="">Apparent Load Phase 2</Name>
      <SystemTypes>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="apparent_load_phase3" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1033" Description="">Apparent Load Phase 3</Name>
      <SystemTypes>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="load_classification" Group="electrical_loads" Type="string" Unit="" Default="">
      <Name Language="1033" Description="">Load Classification</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="power_factor" Group="electrical_loads" Type="double" Unit="" Default="">
      <Name Language="1033" Description="">Power Factor</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
      <Range low="0" high="1"/>
    </Parameter>
    <Parameter id="power_factor_state" Group="electrical_loads" Type="enum" Unit="" Default="">
      <Name Language="1033" Description="">Power Factor State</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
      <UseEnum>power_factor_state_enum</UseEnum>
    </Parameter>    
  </Parameters>
</Connector>
